---
title: Stylesheet.href
slug: Web/API/StyleSheet/href
tags:
  - API
  - CSSOM
  - Property
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p>The <code><strong>href</strong></code> property of the {{domxref("StyleSheet")}} interface returns the location of the style sheet.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>uri</em> = stylesheet.href
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>uri</code> is a string containing the stylesheet's URI.</li>
</ul>

<h2 id="Example">Example</h2>

<pre> // on a local machine:
 &lt;html&gt;
  &lt;head&gt;
   &lt;link rel="StyleSheet" href="example.css" type="text/css" /&gt;
   &lt;script&gt;
    function sref() {
     alert(document.styleSheets[0].href);
    }
   &lt;/script&gt;
  &lt;/head&gt;
  &lt;body&gt;
   &lt;div class="thunder"&gt;Thunder&lt;/div&gt;
   &lt;button onclick="sref()"&gt;ss&lt;/button&gt;
  &lt;/body&gt;
 &lt;/html&gt;
// returns "file:////C:/Windows/Desktop/example.css
</pre>

<h2 id="Notes">Notes</h2>

<p>If the style sheet is a linked style sheet, the value of its attribute is its location. For inline style sheets, the value of this attribute is <code>NULL</code>.</p>

<p>This property is read-only in Firefox, Opera, Google Chrome, and Safari, and it is read/write in Internet Explorer.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#dom-stylesheet-href", "StyleSheet: href")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StyleSheet.href")}}</p>
